Create Wikipedia Northern Luri
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Northern Luri.

https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Northern_Luri

Language code: lrc
Site URL: lrc.wikipedia.org
Project name: ڤیکیپئدیا
Project namespace: ڤیکیپئدیا
Project talk namespace: چأک چئنە ڤیکیپئدیا
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-lrc.svg
Timezone: UTC
Local file uploads: disabled
Additional namespaces: Portal => پورتال , Portal talk => چأک چئنە پورتال

Thank you.


Checklist:

MF-Warburg updated the task description. (Show Details)
MF-Warburg raised the priority of this task from to Normal.
MF-Warburg added a subscriber: MF-Warburg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 6:14 PM
Krenair set Security to None.

Change 215970 had a related patch set uploaded (by Alex Monk):
Add language "lrc" (Northern Luri)

https://gerrit.wikimedia.org/r/215970

Previous 3 requests: T68576, T75596, T96481

@Springle, @coren: FYI this will be created, it'll be public so will eventually need labs replication etc.

Change 216062 had a related patch set uploaded (by Alex Monk):
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/216062

Krenair updated the task description. (Show Details)Jun 10 2015, 6:53 PM

Change 217327 had a related patch set uploaded (by Mjbmr):
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/217327

Change 216533 had a related patch set uploaded (by Alex Monk):
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/216533

Change 217331 had a related patch set uploaded (by Mjbmr):
Add Config for Northern Luri Wikipedia

https://gerrit.wikimedia.org/r/217331

Mjbmr updated the task description. (Show Details)Jun 10 2015, 7:48 PM
Ebe123 added a subscriber: Ebe123.Jun 10 2015, 7:49 PM
Mjbmr updated the task description. (Show Details)Jun 10 2015, 8:02 PM

Change 215970 merged by Dzahn:
Add language "lrc" (Northern Luri)

https://gerrit.wikimedia.org/r/215970

Krenair updated the task description. (Show Details)Jun 10 2015, 9:44 PM
Dzahn added a subscriber: Dzahn.Jun 10 2015, 10:09 PM

Because of T97051 we also need to make any random edit to the wikipedia.org zone template itself, besides just langlist.tmpl to actually add it. (https://gerrit.wikimedia.org/r/#/c/217424/)

Now it exists:

;; ANSWER SECTION:
lrc.wikipedia.org. 600 IN A 208.80.154.224

removed operations because DNS is done and the rest should be releng

Change 216062 merged by jenkins-bot:
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/216062

@Nikerabbit: Is this language ready to be used in production then, once LocalisationUpdate runs?

LocalisationUpdate doesn't process these things. I noticed there are backports: https://gerrit.wikimedia.org/r/#/q/Ic4cca51a5a59dfe3580b66aa9cfcee3d8e3fea4b,n,z

Change 216533 merged by jenkins-bot:
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/216533

Change 217327 merged by jenkins-bot:
Update namespaces and special pages for Northern Luri (lrc) from translatewiki

https://gerrit.wikimedia.org/r/217327

Ah, right. What about now, @Nikerabbit?

I think you have everything you need from language perspective, but I am not too familiar with wiki creation process.

Krenair updated the task description. (Show Details)Jun 11 2015, 4:11 PM

The interface translations should be exported to MessagesLrc.php first, before the wiki is created. Currently that file only contains the special pages and namespace names. AFAIK the messages are exported from TWN once a certain percentage of translations is reached. The request should be put on hold until then (I had thought the messages were already exported).

We use .json these days for interface message translations (for quite sometime now) /languages/i18n/lrc.json in this case.

Krenair added a subscriber: greg.Jun 11 2015, 5:15 PM

Yeah, this works, so the servers know the language exists: https://meta.wikimedia.org/wiki/?uselang=lrc

@greg: Does this seem OK to you? This should give it a 1 hour window after 'morning' SWAT on Tuesday (Monday is inconvenient for me). That is, unless someone else feels like doing it today (seems like a bad idea to rush it out?)/Monday.

{{#invoke:Deployment schedule|row
|when=2015-06-16 9:00 SF
|length=1
|window=Northern Luri Wikipedia creation
|who={{ircnick|Krenair|Alex}}
|what=
[[phabricator:T102026]]:
* Run mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki lrc wikipedia lrcwiki lrc.wikipedia.org
* {{gerrit|217331}} - make wikiversions change, merge, run sync-dblists, run sync-wikiversions, run sync-dir wmf-config
* Run mwscript extensions/WikimediaMaintenance/filebackend/setZoneAccess.php lrcwiki --backend=local-multiwrite
* Run foreachwikiindblist wikidataclient.dblist extensions/Wikidata/extensions/Wikibase/lib/maintenance/populateSitesTable.php --strip-protocols
* Run updateinterwikicache
}}

@greg: Does this seem OK to you? This should give it a 1 hour window after 'morning' SWAT on Tuesday (Monday is inconvenient for me)

A) I wish everyone gave me copy/pasteable deployment schedule entries when proposing something :)
B) This gives you an hour, do you remember how long it took last time, per chance? The train starts the new branch 2 hours after this, so hopefully we're alright there.

(I have it in the schedule for now, thanks!)

Restricted Application added a project: Notice. · View Herald TranscriptJun 12 2015, 11:10 PM
greg moved this task from Unscheduled to June 15-19 on the Roadmap board.Jun 12 2015, 11:10 PM

B) This gives you an hour, do you remember how long it took last time, per chance? The train starts the new branch 2 hours after this, so hopefully we're alright there.

Last time it was all a bit crazy due to me never having created a wiki in WMF production before (I had to rely on the potentially out-of-date documentation and information I could get from others), addWiki.php referencing extensions undeployed months ago (had to fiddle with commenting things to get it to run again after it got half way through the first time and fatal'd - since resolved), the undocumented change needed to get MWMultiVersion to identify the new site correctly (now documented, although not relevant to new wikipedias, only affected affiliate wikis due to database naming conventions), unclear echo DB setup (since resolved), and probably other things I'm forgetting. And that took just over an hour based on SAL.

greg added a comment.Jun 13 2015, 1:33 AM

Sweet, good to go then. Thanks!

Mjbmr moved this task from Working on to To deploy on the Wikimedia-Site-requests board.
Mjbmr assigned this task to Krenair.Jun 14 2015, 6:15 PM
Mjbmr moved this task from incoming to ready to go on the Wikidata board.

Change 217331 merged by jenkins-bot:
Add Config for Northern Luri Wikipedia

https://gerrit.wikimedia.org/r/217331

Krenair updated the task description. (Show Details)Jun 16 2015, 4:30 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 16 2015, 4:30 PM
Krenair closed this task as Resolved.Jun 16 2015, 4:30 PM

Done.

Mjbmr moved this task from To deploy to Done on the Wikimedia-Site-requests board.Jun 16 2015, 4:55 PM

For future reference: my list of syncs to run was a bit silly (includes unnecessary stuff, misses important stuff), use:

sync-dblist
sync-wikiversions
sync-file wmf-config/InitialiseSettings.php
sync-file langlist
sync-file w/static/images/project-logos/logo-filename.png
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 20 2015, 1:43 AM
Restricted Application removed a subscriber: Mjbmr. · View Herald TranscriptJun 20 2015, 1:43 AM
gpaumier moved this task from Triaged to Archive on the Notice board.Jun 26 2015, 8:26 PM